package com.xhkjedu.smarking.mapper.report.reportclass;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.report.reportclass.MsrClassAction;
import com.xhkjedu.smarking.model.report.reportstu.MsrStudentAction;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 考试报告违纪优秀分析表 Mapper 接口
 * @Author auto
 * @Date 2025-01-02
 */
public interface MsrClassActionMapper extends TkMapper<MsrClassAction> {
    //违纪行为
    List<Map> listBadActionByExamId(@Param("msids") String msids);

    //优秀试卷
    List<Map> listGoodActionByExamId(@Param("examid") Integer examid,@Param("subjectids") String subjectids);

    //违规试卷
    List<Map> listBadQuesActionByExamId(@Param("examid") Integer examid,@Param("subjectids") String subjectids);

    //行为分析-班级
    List<Map> listXwBj(@Param("action") MsrStudentAction action);
}
