package com.xhkjedu.smarking.mapper.report.reportclass;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.report.reportclass.MsrClassSubjectGrade;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷报告-班级学科四率等级分析表 Mapper 接口
 * @Author auto
 * @Date 2024-12-09
 */
public interface MsrClassSubjectGradeMapper extends TkMapper<MsrClassSubjectGrade> {

    //综合报告-试题汇总表-全部班级-科目情况-四率等级分析
    List<Map<String,Object>> listSubjectGrade(@Param("sg")MsrClassSubjectGrade sg);

    //综合报告-班级对比-全科及格率分析
    List<MsrClassSubjectGrade> listSubjectGradeForQk(@Param("examid") Integer examid,@Param("reportcode") String reportcode);

    //综合报告-整体四率分析
    List<Map<String,Object>> getZfScoreRate(@Param("examid") Integer examid);
}
