package com.xhkjedu.smarking.mapper.report.reportstu;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.report.reportstu.MsrStudentPoint;
import com.xhkjedu.smarking.vo.report.reportother.ExamReportParams;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷报告-学生各科知识点分析表 Mapper 接口
 * @Author auto
 * @Date 2024-12-09
 */
public interface MsrStudentPointMapper extends TkMapper<MsrStudentPoint> {

    //学生报告-学生学科知识点分析
    List<Map<String, Object>> listStuPoints(@Param("params") ExamReportParams params);
}
