package com.xhkjedu.smarking.mapper.report.reportsubject;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.report.reportsubject.MsrSubjectPointSection;
import com.xhkjedu.smarking.vo.report.reportother.ExamReportParams;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷报告-学科知识点分段区间表 Mapper 接口
 * @Author auto
 * @Date 2024-12-09
 */
public interface MsrSubjectPointSectionMapper extends TkMapper<MsrSubjectPointSection> {

    //学科素养-单个知识点分析-知识点与总分的相关性曲线
    List<Map<String, Object>> listXhsySections(@Param("param")ExamReportParams param);
}
