package com.xhkjedu.smarking.model.papercheck;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.*;

/**
 * @Description 阅卷批阅分配教师表
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_paper_check_teacher")
public class MsPaperCheckTeacher extends BaseBean {
    @Id
    //阅卷批阅分配教师ID
    private Integer mpctid;
    //试卷ID
    private Integer mpid;
    //题块/试题/班级ID
    private Integer mblockid;
    //教师ID
    private Integer teacherid;
    //任务数量
    private Integer tasknum;
    //创建人ID
    private Integer createid;
    //创建时间
    private Integer createtime;
    //是否删除1正常10已删除
    private Integer deleted;

    @Transient
    //序号
    private Integer taskorder;
    //已批阅数量
    @Transient
    private Integer checkednum;
    @Transient
    //已分配数量
    private Integer assignednum;

    @Transient
    //学生题块ids
    private String mpsbids;
}
