package com.xhkjedu.smarking.model.report.reportclass;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-班级学科名次分组表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_class_rankgroup")
public class MsrClassRankgroup extends BaseBean {
    @Id
    //阅卷报告-班级学科名次分组ID
    private Integer crid;
    // 阅卷报告-阅卷报告主表ID
    private Integer raid;
    //考试ID
    private Integer examid;
    //班级ID（含全体）
    private Integer classid;
    //科目ID（含总分）
    private String subjectid;
    //分组名称：第1组(1-20名)
    private String rname;
    //人数
    private Integer rnum;
    //学生id字符串
    private String stuids;
}
