package com.xhkjedu.smarking.model.report.reportclass;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-班级学科分段统计表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_class_section")
public class MsrClassSection extends BaseBean {
    @Id
    //阅卷报告-班级学科分段统计ID
    private Integer csid;
    // 阅卷报告-阅卷报告主表ID
    private Integer raid;
    //考试ID
    private Integer examid;
    //班级ID（含全体）
    private Integer classid;
    //科目ID（含总分）
    private String subjectid;
    //参考人数
    private Integer stunum;
    //分段类型（1分段统计 2累计统计）
    private Integer type;
    //归属报告模块编码
    private String reportcode;
    //分值范围
    private String fzfw;
    //分值范围人数
    private Integer fzfwnum;
    //分值范围人数比例
    private Double fzfwrate;
    //学生id字符串
    private String stuids;
}
