package com.xhkjedu.smarking.model.report.reportclass;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-班级学科四率等级分析表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_class_subject_grade")
public class MsrClassSubjectGrade extends BaseBean {
    @Id
    //阅卷报告-班级学科四率等级分析ID
    private Integer csgid;
    // 阅卷报告-阅卷报告主表ID
    private Integer raid;
    //考试ID
    private Integer examid;
    //班级ID（含全体）
    private Integer classid;
    //科目ID（含总分）
    private String subjectid;
    //归属报告模块编码：zh综合报告 xj校级报告 xk学科报告 bj班级报告 xs学生报告 mtzl命题质量报告 jxzl教学质量报告 xksy学科素养报告
    private String reportcode;
    //四率/等级
    private String rangename;
    //四率对应人数
    private Integer rangenum;
    //四率对应人数排名
    private Integer rangenumrank;
    //四率对应率
    private Double rangerate;
    //等级分值
    private Double djscore;
    //等级得分率比例
    private Double djrate;
    //学生id字符串
    private String stuids;
}
