package com.xhkjedu.smarking.model.report.reportstu;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-学生各科知识点分析表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_student_point")
public class MsrStudentPoint extends BaseBean {
    @Id
    //阅卷报告-学生各科知识点分析
    private Integer spid;
    // 阅卷报告-阅卷报告主表ID
    private Integer raid;
    //考试ID
    private Integer examid;
    //科目ID
    private String subjectid;
    //学生ID
    private Integer studentid;
    //知识点ID
    private String pointid;
    //知识点名称
    private String pointname;
    //知识点分数
    private Double fullscore;
    //学生得分
    private Double stuscore;
    //学生得分率
    private Double sturate;
    //年级平均分
    private Double schoolavg;
    //年级得分率
    private Double schoolrate;
    //知识点对应试题题号
    private String qns;
    //知识点对应试题ID
    private String mptqids;
}
