package com.xhkjedu.smarking.model.report.reportsubject;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.*;
import java.util.List;

/**
 * @Description 阅卷报告-科目分析表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_subject")
public class MsrSubject extends BaseBean {
    @Id
    //阅卷报告-科目分析ID
    private Integer sid;
    // 阅卷报告-阅卷报告主表ID
    private Integer raid;
    //考试ID
    private Integer examid;
    //科目ID（含总分）
    private String subjectid;
    //科目名称
    private String subjectname;
    //满分
    private Double fullscore;
    //最高分
    private Double maxscore;
    //最低分
    private Double minscore;
    //平均分
    private Double avgscore;
    //平均成绩排名
    private Integer avgrank;
    //平均成绩排名率
    private Double avgrankrate;
    //得分率
    private Double scorerate;
    //总人数
    private Integer totalnum;
    //参考人数
    private Integer stunum;
    //参考人数占比
    private Double numrate;
    //缺考人数
    private Integer missnum;
    //标准差
    private Double bzc;
    //差异系数
    private Double cyxs;
    //难度
    private Double nd;
    //区分度
    private Double qfd;
    //α信度系数
    private Double axdxs;
    //学科评价得分率离差
    private Double dfllc;
    //学科评价得分率相对离差
    private Double dflxdlc;
    //处于年级20%得分
    private Double esscore;
    //处于年级40%得分
    private Double ssscore;
    //处于年级60%得分
    private Double lsscore;
    //处于年级80%得分
    private Double bsscore;
    @Transient
    //每题方差
    private List<Double> mtfc;
    @Transient
    //总分方差
    private Double zffc;
}
