package com.xhkjedu.smarking.model.report.reportsubject;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-学科知识点表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_subject_point")
public class MsrSubjectPoint extends BaseBean {
    @Id
    //阅卷报告-学科知识点
    private Integer spid;
    // 阅卷报告-阅卷报告主表ID
    private Integer raid;
    //考试ID
    private Integer examid;
    //科目ID
    private String subjectid;
    //班级ID
    private Integer classid;
    //知识点ID
    private String pointid;
    //知识点名称
    private String pointname;
    //知识点级别1一级2二级3三级
    private Integer pointlevel;
    //满分
    private Double fullscore;
    //最高分
    private Double maxscore;
    //最低分
    private Double minscore;
    //得分率
    private Double scorerate;
    //平均分
    private Double avgscore;
    //平均得分率%
    private Double avgrate;
    //平均分在所有知识点中排名
    private Integer avgrank;
    //标准差
    private Double bzc;
    //差异系数
    private Double cyxs;
    //区分度
    private Double qfd;
    //鉴定指数
    private Double jbzs;
    //对应试题ids
    private String mptqids;
    //对应题目
    private String qns;

    //满分人数
    private Integer mfnum;
    //满分人ids
    private String mfids;
    //零分人数
    private Integer lfnum;
    //零分人ids
    private String lfids;
}
