package com.xhkjedu.smarking.model.report.reportsubject;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-学科知识点分段区间表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_subject_point_rankgroup")
public class MsrSubjectPointRankgroup extends BaseBean {
    @Id
    //阅卷报告-学科知识点排名分组
    private Integer spgid;
    // 阅卷报告-阅卷报告主表ID
    private Integer raid;
    //考试ID
    private Integer examid;
    //科目ID
    private String subjectid;
    //知识点ID
    private String pointid;
    //知识点名称
    private String pointname;
    //知识点层级1一级2二级3三级
    private Integer pointlevel;
    //排名分组 第1组(第1~10名)
    private String rgroup;
    //分数段 [0-5)
    private String rsection;
    //学生数量
    private Integer stunum;
    //学生ids
    private String stuids;
}
