package com.xhkjedu.smarking.service.paper;

import com.xhkjedu.smarking.mapper.paper.MsPaperBackMapper;
import com.xhkjedu.smarking.model.paper.MsPaperBack;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷试卷回退记录 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsPaperBackService {
    @Resource
    private MsPaperBackMapper msPaperBackMapper;

    /**
     * @Description 新增
     * @Param [msPaperBack]
     * @Author auto
     * @Date 2024-10-15
     * @return void
     **/
    public void add(MsPaperBack msPaperBack){
        msPaperBackMapper.insert(msPaperBack);
    }

    /**
     * @Description 列表
     * @Param [msPaperBack]
     * @Author auto
     * @Date 2024-10-15
     * @return java.util.List<com.xhkjedu.smarking.model.paper.MsPaperBack>
     **/
    public List<MsPaperBack> queryList(MsPaperBack msPaperBack){
        return msPaperBackMapper.selectAll();
    }
}
