package com.xhkjedu.smarking.service.report.report;

import com.xhkjedu.smarking.mapper.report.reportclass.MsrClassActionMapper;
import com.xhkjedu.smarking.mapper.report.reportstu.MsrStudentActionMapper;
import com.xhkjedu.smarking.model.report.reportstu.MsrStudentAction;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 *@Description 优秀违纪报告查询服务
 *@Author ywx
 *Date 2025/1/3 14:33
 **/
@Service
public class MsrActionService {
    @Resource
    private MsrClassActionMapper msrClassActionMapper;
    @Resource
    private MsrStudentActionMapper msrStudentActionMapper;

    //行为分析-班级
    public List<Map> listXwBj(MsrStudentAction action) {
        return msrClassActionMapper.listXwBj(action);
    }

    //行为分析-学生
    public List<Map> listXwXs(MsrStudentAction action) {
        return msrStudentActionMapper.listXwBj(action);
    }
}
