package com.xhkjedu.smarking.vo.report.reportstu;

import lombok.Data;
import lombok.NoArgsConstructor;

/**
 *@Description 指标类
 *@Author ywx
 *Date 2025/1/7 17:16
 **/
@Data
@NoArgsConstructor
public class LabelVo {
    private String labelName;//指标名称
    private String labelField;//指标字段
    private Integer labelType;//指标类型（1普通指标 2参数/分层指标 3特殊指标）

    public LabelVo(String labelName, Integer labelType) {
        this.labelName = labelName;
        this.labelType = labelType;
    }

    public LabelVo(String labelName, Integer labelType, String labelField) {
        this.labelName = labelName;
        this.labelType = labelType;
        this.labelField = labelField;
    }

    public LabelVo(String labelName, String labelField) {
        this.labelName = labelName;
        this.labelType = 1;
        this.labelField = labelField;
    }
}
