package com.xhkjedu.smarking.mapper.report.reportclass;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.report.reportclass.MsrClassSection;
import com.xhkjedu.smarking.vo.report.reportstu.StudentParams;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷报告-班级学科分段统计表 Mapper 接口
 * @Author auto
 * @Date 2024-12-09
 */
public interface MsrClassSectionMapper extends TkMapper<MsrClassSection> {
    //综合报告-分数段统计列表
    List<Map<String, Object>> listClassForFsd(@Param("sql") String sql, @Param("params") StudentParams params);
}
