package com.xhkjedu.smarking.mapper.report.reportclass;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.report.reportclass.MsrClassSubject;
import com.xhkjedu.smarking.vo.report.reportstu.StudentParams;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷报告-班级学科分析表 Mapper 接口
 * @Author auto
 * @Date 2024-12-09
 */
public interface MsrClassSubjectMapper extends TkMapper<MsrClassSubject> {
    //综合报告-班级对比列表
    List<Map<String, Object>> listClassForBjDb(@Param("sql") String sql,@Param("params") StudentParams params);

    //班级学科分析列表
    List<Map<String, Object>> listBySql(@Param("sql") String sql);
}
