package com.xhkjedu.smarking.mapper.report.reportother;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.report.reportother.MsrExam;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * @Description 阅卷报告-总体分析表 Mapper 接口
 * @Author auto
 * @Date 2024-12-09
 */
public interface MsrExamMapper extends TkMapper<MsrExam> {

    //清除单次考试所有报告
    void deleteReportByExamid(@Param("examid") int examid);

    //获取单次考试的总分和最高分
    Map<String, Object> getFullAndMaxScoreByExamId(@Param("examid") Integer examid);

    //总分基本情况成绩分析
    Map getExamForHzZf(@Param("examid") Integer examid);
}
