package com.xhkjedu.smarking.mapper.report.reportsubject;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.report.reportsubject.MsrSubjectQuestionSection;
import com.xhkjedu.smarking.vo.report.reportother.ExamReportParams;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷报告-科目区间试题得分率表 Mapper 接口
 * @Author auto
 * @Date 2024-12-12
 */
public interface MsrSubjectQuestionSectionMapper extends TkMapper<MsrSubjectQuestionSection> {
    //命题质量-试题分析-分段
    List<Map<String,Object>> listQuestionSectionByQntype(@Param("param") ExamReportParams param);
}
