package com.xhkjedu.smarking.model.report.reportstu;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import java.util.List;

/**
 * @Description 考试报告学生违纪优秀分析表
 * @Author auto
 * @Date 2025-01-03
 */
@Data
@Table(name = "msr_student_action")
public class MsrStudentAction extends BaseBean {
    @Id
    //考试报告学生违纪优秀分析id
    private Integer msaid;
    // 阅卷报告-阅卷报告主表ID
    private Integer raid;
    //班级id
    private Integer classid;
    //学生id
    private Integer studentid;
    //考试id
    private Integer examid;
    //类型1违纪2优秀
    private Integer actiontype;
    //科目信息
    private String subjectjson;
    //班级ids
    private List<Integer> classids;
}
