package com.xhkjedu.smarking.model.report.reportsubject;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description 阅卷报告-学科知识点分段区间表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_subject_point_section")
public class MsrSubjectPointSection extends BaseBean {
    @Id
    //阅卷报告-学科知识点分段区间
    private Integer spsid;
    // 阅卷报告-阅卷报告主表ID
    private Integer raid;
    //考试ID
    private Integer examid;
    //科目ID
    private String subjectid;
    //知识点ID
    private String pointid;
    //知识点名称
    private String pointname;
    //知识点层级1一级2二级3三级
    private Integer pointlevel;
    //分数段范围
    private String fdfw;
    //平均分
    private Double avgscore;
    //平均得分率
    private Double avgrate;

    @Transient
    private Integer fdnum;//分段人数
    @Transient
    private String fdids;//分段用户id
}
