package com.xhkjedu.smarking.vo.report.reportother;

import lombok.Data;

/**
 * @Description：考试报告参数接受类
 * @Author: WN
 * @Date: 2024/12/24 15:36:48
 **/
@Data
public class ExamReportParams {

    private Integer examid;//考试ID

    private String subjectid;//科目ID

    private Integer selclass;//选择班级类型1全体 2全部班级对比 3指定班级对比 4单个班级

    private Integer classid;//班级ID

    private String classids;//多个班级id

    private Integer studentid;//学生ID

    private Integer qtype;//类型1客观题2主观题

    private Integer mptqid;//试题ID

    private Integer qntype;//1小题2客观题3主观题

    private Integer rgtype;//客观题选项 2客/主分值

    private Integer pointlevel;//知识点层级:1一级知识点2二级知识点3三级知识点

    private String pointid;//知识点ID

    private String mptqids;//多个试题id

    private Integer spid;//id
}
