package com.xhkjedu.smarking.vo.report.reportstu;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import java.util.List;

/**
 * @Description 学生成绩参数类
 * @Author YWX
 * @Date 2025/1/6 9:42
 **/
@Data
public class StudentParams extends BaseBean {

    private Integer examid;//考试ID
    private String subjectid;//科目ID
    private List<String> subjectids;//科目ID
    private Integer classid;//班级ID
    private List<Integer> classids;//多个班级id
    private List<LabelVo> labels;//指标
    private String studentname;//姓名
    private String fieldname;//排序字段
    private String groupname;//排序分组字段
    private String fieldvalue;//排序列值
    private Integer od;//标识排序类型1升序2降序
    private Integer type;//分段类型（1分段统计 2累计统计）
    private String reportcode;//归属报告模块编码
    private Integer dworder;//档位序号
    private String condition;//查询条件
}
