package com.xhkjedu.smarking.vo.scan;

import lombok.Data;

import java.util.List;

/**
 * @Description：模板题块
 * @Author: WN
 * @Date: 2025/1/13 10:02:33
 **/
@Data
public class TemplateBlockVo {
    //阅卷模板题块定位区ID
    private Integer mtbid;
    //题块ID
    private Integer mblockid;
    //类型1客观题2主观题
    private Integer mttype;
    //客观题方向1横向2纵向
    private Integer direct;
    //排序/首题号
    private Integer mtborder;
    //定位区坐标
    private String localcoor;
    //主观题扩展区坐标列表
    private String extendcoor;
    //主观题打分区坐标
    private String scorecoor;

    //题块中试题
    private List<TemplateBlockQuestionVo> tbquestions;

}
