package com.xhkjedu.smarking.vo.scan;

import lombok.Data;

import java.util.List;

/**
 * @Description：试卷模板
 * @Author: WN
 * @Date: 2025/1/13 10:00:24
 **/
@Data
public class TemplateVo {
    //阅卷扫描模板ID
    private Integer mtid;
    //试卷ID
    private Integer mpid;
    //模板尺寸1A4 2A3
    private Integer tsize;
    //纸张宽度(像素)
    private Integer twidth;
    //纸张高度(像素)
    private Integer theight;
    //正面图片
    private String tfront;
    //反面图片
    private String tback;
    //空白页索引
    private Integer blankindex;
    //定位正面旋转角度
    private Integer anglefront;
    //定位反面旋转角度
    private Integer angleback;
    //正面定位坐标
    private String coorfront;
    //反面定位坐标
    private String coorback;
    //正面定位图片地址
    private String dwtfront;
    //反面定位图片地址
    private String dwtback;
    //缺考标记坐标
    private String misscoor;
    //违规标记坐标
    private String violatecoor;
    //考号类型1涂卡 2条形码 3手写1 4手写2
    private Integer enumtype;
    //考号定位坐标
    private String examnocoor;
    //涂卡数字坐标列表
    private String cardcoor;

    //模板题块
    private List<TemplateBlockVo> tblocks;
}
